// SPDX-License-Identifier: MIT

use axum::Router;

#[cfg(feature = "restapi")]
mod restapi;

pub trait PowerManagementRoutes {
    fn power_management_routes(self) -> Self;
}

impl PowerManagementRoutes for Router {
    fn power_management_routes(self) -> Self {
        #[allow(clippy::let_and_return)]
        let routes = self;

        #[cfg(feature = "restapi")]
        let routes = restapi::routes(routes);

        routes
    }
}
