#!/bin/sh
# SPDX-License-Identifier: MIT

# Automated tests run in an alpine container
warn=""

cargo test --locked --features tls || exit

cargo clippy --locked --features tls --release --no-deps -- -Dwarnings || warn=1
cargo fmt --check || warn=1

# exit code 124 = warning hardcoded outside of script
[ -z "$warn" ] || exit 124
